Bug 707609 - Need to add dm-mod and dm-crypt to the FIPS-140 list
Summary: Need to add dm-mod and dm-crypt to the FIPS-140 list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dracut
Version: 6.1
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Harald Hoyer
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: FIPS-140-Tracker-6.2 728549
TreeView+ depends on / blocked
 
Reported: 2011-05-25 14:00 UTC by Steve Grubb
Modified: 2011-12-06 16:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The dm-mod and dm-crypt kernel modules were missing from the list of kernel modules which are pre-loaded for the FIPS-140 (Federal Information Processing Standards) check. With this update, these modules have been added to the list. This update also introduces the dracut-fips-aesni subpackage which should be installed if the aesni-intel module is used in FIPS mode.
Clone Of:
: 740487 (view as bug list)
Environment:
Last Closed: 2011-12-06 16:48:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1521 normal SHIPPED_LIVE dracut bug fix and enhancement update 2011-12-06 00:50:19 UTC

Description Steve Grubb 2011-05-25 14:00:43 UTC
Description of problem:
We need to add "dm-mod" and "dm-crypt". We might also need to add aesni to that list also, but it has not yet been decided. Aesni is a module specific to x86_64 if that makes any difference. 

I was also looking at the file manifest for the dracut fips module. I don't see any documentation that might tell people how to use it or what the file has the list of kernel modules in case they need to change it. Docs are not a requirement. Its just a suggestion.

Comment 3 Phil Knirsch 2011-06-09 16:17:27 UTC
Do these modules have to be always in the initramfs or just when FIPS is enabled? If the later, then we could easily add them to the dracut-fips installkernel to the FIPSMODULES.

Thanks & regards, Phil

Comment 4 Steve Grubb 2011-06-09 16:32:45 UTC
We only need this when fips is being used. There is still some discussion on the exact needs, so we aren't quite ready for this yet.

Comment 5 Phil Knirsch 2011-06-09 16:48:35 UTC
Sounds good. If it's only the list of kernel modules, just update that when you know more precisely what you need.

Approving then from an Engineering side.

Thanks & regards, Phil

Comment 6 RHEL Program Management 2011-06-09 17:00:59 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 7 Steve Grubb 2011-07-05 15:56:19 UTC
We have concluded that the modules in comment #0 are the only modules that need to be added. Please proceed with this bug. Thanks.

Comment 9 Harald Hoyer 2011-08-10 13:30:43 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The kernel modules "dm-mod" and "dm-crypt" were missing from the list of kernel modules, which are preloaded for the FIPS-140 check. This version of dracut adds these modules to the list of checked modules.

Comment 11 Alexander Todorov 2011-08-25 08:41:10 UTC
# rpm -qf installkernel 
dracut-fips-004-231.el6.noarch

# grep dm-mod installkernel 
FIPSMODULES="$FIPSMODULES dm-mod dm-crypt" 

# grep aesni installkernel
#

Steve,
what about the aesni module? Is the needed too?

Comment 13 Tomas Capek 2011-10-11 10:30:36 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-The kernel modules "dm-mod" and "dm-crypt" were missing from the list of kernel modules, which are preloaded for the FIPS-140 check. This version of dracut adds these modules to the list of checked modules.+The dm-mod and dm-crypt kernel modules were missing from the list of kernel modules which are pre-loaded for the FIPS-140 (Federal Information Processing Standards) check. With this update, these modules have been added to the list. This update also introduces the dracut-fips-aesni subpackage which should be installed if the aesni-intel module is used in FIPS mode.

Comment 14 errata-xmlrpc 2011-12-06 16:48:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1521.html


Note You need to log in before you can comment on or make changes to this bug.